Subject: Re: bug#61483: [PATCH 0/5] Some basic Home Shepherd Services

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sun, 05 Mar 2023 19:09:31 +0100

Ludovic Courtès writes:

> "Jan (janneke) Nieuwenhuizen" <[email-masked]> skribis:
>
>> * doc/guix.texi (Shepherd Home Services): New subsubsection.
>
> Oooh, I totally overlooked this.
>
> Overall I’d suggest documenting in the patch that adds the service.
> That way, each change is self-contained, which facilitates review, etc.

Sure.

> I would suggest creating one section per type, roughly corresponding to
> the (gnu home services …) module: “Media”, “Version Control”, etc.  For
> SSH there’s already “Secure Shell”.

Done.

> Also please start each service’s documentation with a couple of
> sentences giving context and possibly an example, similar to what’s done
> for the existing Home services.

Okay.

> Could you send an updated patch series, maybe leaving out git-daemon
> until we figure out whether/how to factorize it?

Sounds good, coming right up!

Thanks,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com